Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.util
Interface IEvent

All Known Implementing Classes:
  Event

    public interface IEvent

Interface for classes that can generate parameterless events

Method Summary
`Connection` | `add(IListener listener)` Start to publish all events to a given listener
`void` | `remove(IListener listener)` Stop publishing events to a given listener

Method Detail

### add

    Connection add(IListener listener)

  Start to publish all events to a given listener

  Parameters:
    `listener` - target listener
  Returns:
    a connection to remove the listener

### remove

    void remove(IListener listener)

  Stop publishing events to a given listener

  Parameters:
    `listener` - target listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD